%define		_state		stable
%define		orgname		kmouth
%define		qtver		4.8.1

Summary:	K Desktop Environment - A program that speaks for you
Name:		kde4-%{orgname}
Version:	4.14.3
Release:	1
License:	GPL v2
Group:		X11/Applications/Graphics
Source0:	http://download.kde.org/%{_state}/%{version}/src/%{orgname}-%{version}.tar.xz
# Source0-md5:	2ea4562d94bd497088bf7210b806c20f
URL:		http://www.kde.org/
BuildRequires:	Qt3Support-devel >= %{qtver}
BuildRequires:	QtCore-devel >= %{qtver}
BuildRequires:	automoc4 >= 0.9.88
BuildRequires:	cmake >= 2.8.0
BuildRequires:	kde4-kdelibs-devel >= %{version}
BuildRequires:	libstdc++-devel
BuildRequires:	perl
BuildRequires:	qt4-build >= %{qtver}
BuildRequires:	qt4-qmake >= %{qtver}
BuildRequires:	rpmbuild(macros) >= 1.600
BuildRequires:	xorg-lib-libX11-devel
Requires:	kde4-kaccessible >= %{version}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Program that allows people who have lost their voice to let their
computer speak for them.

%prep
%setup -q -n %{orgname}-%{version}

%build
install -d build
cd build
%cmake \
	../

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C build/ install \
        DESTDIR=$RPM_BUILD_ROOT \
        kde_htmldir=%{_kdedocdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/kmouth
%{_desktopdir}/kde4/kmouth.desktop
%{_datadir}/config/kmouthrc
%dir %{_datadir}/apps/kmouth
%{_datadir}/apps/kmouth/kmouthui.rc
%{_datadir}/apps/kmouth/icons
%{_datadir}/apps/kmouth/phrasebookdialogui.rc
%dir %{_datadir}/apps/kmouth/books
%lang(de) %{_datadir}/apps/kmouth/books/de
%lang(sv) %{_datadir}/apps/kmouth/books/sv
%{_datadir}/apps/kmouth/books/en
%{_iconsdir}/hicolor/*/apps/kmouth.png
%{_docdir}/kde/HTML/en/kmouth
%{_mandir}/man1/kmouth.1*
%changelog
* Sat Nov 15 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/kde4-kmouth.git;a=log;h=master

* Fri Nov 14 2014 Jan Rękorajski <baggins@pld-linux.org> bb0b2ba
- updated to 4.14.3 (by update-kde4.sh)

* Sun Aug 24 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 6b3ed71
- updated to 4.14.0

* Tue Jun 10 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 3946a39
- updated to 4.13.2 (by update-kde4.sh)

* Wed May 14 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 6fc4b07
- updated to 4.13.1 (by update-kde4.sh)

* Sun May 11 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 2ef9f6d
- up to 4.13.0

* Thu Apr 10 2014 Witold Filipczyk <witekfl@poczta.onet.pl> be650d3
- updated to 4.12.4 (by update-kde4.sh)

* Wed Mar 05 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 5fd001a
- updated to 4.12.3 (by update-kde4.sh)

* Tue Feb 04 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 39056bc
- updated to 4.12.2 (by update-kde4.sh)

* Sun Jan 19 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 751608d
- updated to 4.12.1 (by update-kde4.sh)

* Thu Dec 26 2013 Witold Filipczyk <witekfl@poczta.onet.pl> f7d90c3
- 4.12.0

* Wed Jun 19 2013 Jan Rękorajski <baggins@pld-linux.org> 682fff2
- updated to 4.10.4 (by update-kde4.sh)

* Fri Feb 15 2013 Jan Rękorajski <baggins@pld-linux.org> 85e5db9
- 4.10.0

* Mon Dec 10 2012 Jan Rękorajski <baggins@pld-linux.org> a8572eb
- updated to 4.9.4

* Mon Dec 10 2012 Jan Rękorajski <baggins@pld-linux.org> 073e4b2
- updated to 4.9.4

* Thu Sep 06 2012 Paweł Sikora <pawel.sikora@agmk.net> dbf19a1
- updated to 4.9.1.

* Mon Aug 27 2012 Jan Rękorajski <baggins@pld-linux.org> 077dbcf
- Updated files

* Mon Aug 27 2012 Jan Rękorajski <baggins@pld-linux.org> 36d03e8
- Initial commit

